- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# driveInfo Struct Reference

`#include <hd.h>`

## Data Fields
driveDiskLabel * | diskLabel
long | hdCalc
char | hdDev
char | hdEnable
char | hdFlags
long | hdMask
long | hdMulti
long | hdPort
char | hdSector [512]
char | hdShift
long | hdSize
long | parOffset

## Detailed Description

Definition at line 46 of file hd.h.

## Field Documentation

struct driveDiskLabel* driveInfo::diskLabel

Definition at line 47 of file hd.h.

long driveInfo::hdCalc

Definition at line 57 of file hd.h.

Referenced by hdRead(), and hdWrite().

char driveInfo::hdDev

Definition at line 50 of file hd.h.

Referenced by hdInit(), hdRead(), hdWrite(), and initHardDisk().

char driveInfo::hdEnable

Definition at line 49 of file hd.h.

Referenced by hdInit(), hdRead(), and hdWrite().

char driveInfo::hdFlags

Definition at line 51 of file hd.h.

long driveInfo::hdMask

Definition at line 53 of file hd.h.

Referenced by hdInit().

long driveInfo::hdMulti

Definition at line 54 of file hd.h.

Referenced by hdInit(), hdRead(), and hdWrite().

long driveInfo::hdPort

Definition at line 55 of file hd.h.

Referenced by hdInit(), hdRead(), hdWrite(), and initHardDisk().

char driveInfo::hdSector[512]

Definition at line 48 of file hd.h.

Referenced by hdInit().

char driveInfo::hdShift

Definition at line 52 of file hd.h.

Referenced by hdInit(), hdRead(), and hdWrite().

long driveInfo::hdSize

Definition at line 56 of file hd.h.

Referenced by hdInit(), and initHardDisk().

long driveInfo::parOffset

Definition at line 58 of file hd.h.

Referenced by hdRead(), hdWrite(), and initHardDisk().

The documentation for this struct was generated from the following file:

- src/sys/include/pci/hd.h